petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISExpand

Computes the union of two index sets, by concatenating 2 lists and removing duplicates.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISExpand(IS is1,IS is2,IS *isout)

Collective on IS Many br

### Input Parameter

| is1 | - first index set Many br
| is2 | - index values to be added Many br

### Output Parameters

isout -is1 + is2 The index set is2 is appended to is1 removing duplicates Many br

### Notes

Negative values are removed from the lists. This requires O(imax-imin) Many brmemory and O(imax-imin) work, where imin and imax are the bounds on the Many brindices in is1 and is2. Many br

The IS's do not need to be sorted. Many br

Many br

### See Also

ISDestroy(), ISView(), ISDifference(), ISSum()

Level:intermediate
Location:src/vec/is/is/utils/isdiff.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages